<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_user.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For MATLAB, Python, Java, and C++ users</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1Solver.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">OpenSim::Solver Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classOpenSim_1_1Solver.html">OpenSim::Solver</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a22e666ea5837cc9bfd8818b86b35e4ce">_propertySet</a></td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#ad5046920687929fbc0c0ec17681c146d">addListProperty</a>(const std::string &amp;name, const std::string &amp;comment, int minSize, int maxSize)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a2e09382ab2bb833eba12c081f35b5a2d">addListProperty</a>(const std::string &amp;name, const std::string &amp;comment, int minSize, int maxSize, const Container&lt; T &gt; &amp;valueList)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#ae33cd5e9f8e0b563ac29f7cf2565d5fc">addOptionalProperty</a>(const std::string &amp;name, const std::string &amp;comment)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#affef953ecb6526d5de51f8d045229d79">addOptionalProperty</a>(const std::string &amp;name, const std::string &amp;comment, const T &amp;value)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#af24322b3b4552de29ed0589a03ba7ad5">addProperty</a>(const std::string &amp;name, const std::string &amp;comment, const T &amp;value)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a1d943c0b0e76f4c1b169dc2bae88ec48">checkPropertyValueIsInRangeOrSet</a>(const Property&lt; T &gt; &amp;p, const T &amp;lower, const T &amp;upper, const std::set&lt; T &gt; &amp;set) const</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#adc2ab38c8cb1b159cde83a2287168f07">checkPropertyValueIsInSet</a>(const Property&lt; T &gt; &amp;p, const std::set&lt; T &gt; &amp;set) const</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a5d51ce53f270d5f6edaec4b7e0757a5a">checkPropertyValueIsPositive</a>(const Property&lt; T &gt; &amp;p) const</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a5291e688292cba7a488b077e6dc64938">clearObjectIsUpToDateWithProperties</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Solver.html#a573ce166690afe7007436be58651e054">clone</a>() const override=0</td><td class="entry"><a class="el" href="classOpenSim_1_1Solver.html">OpenSim::Solver</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a84a2e7e58491709482729c7d52b90f21">DEFAULT_NAME</a></td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a54d201e1b95b4bc8ca80154a166f0236">dump</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a02daafc67d38d371b59b91dbc1a649c2">getAuthors</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Solver.html#a632d459c6d9446c2f18738e2de2812fd">getClassName</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Solver.html">OpenSim::Solver</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Solver.html#a0a66f4f4bfff1cd39d8ac6853bd40258">getConcreteClassName</a>() const override=0</td><td class="entry"><a class="el" href="classOpenSim_1_1Solver.html">OpenSim::Solver</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a96486fa12910478db9b65384546d9e97">getDebugLevel</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#afa003166ace3f14af022b6650fc6fbd7">getDefaultInstanceOfType</a>(const std::string &amp;concreteClassName)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#aae4380e83784a756db86db4a219a7bf7">getDescription</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#ab9e9fc3e2e853abb45904b90c1930bea">getDocument</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a26674406a1078da2383483ce79af8066">getDocumentFileName</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#af4b5a7a6c8e4fce9c8644b60012119b4">getDocumentFileVersion</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a32016b09c0f930ef78e08ef9e99d7f80">getInlined</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Solver.html#a4afe2c21ac18dcd479e98f1f262c1520">getModel</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Solver.html">OpenSim::Solver</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a8305bf8b07e36357ecd5974557b4f1f6">getName</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#ade85bfec32b1adcf1620f17a9ccb0085">getNumProperties</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#ae5fcf7a8d6f90b18e43800aea7c4b740">getProperty</a>(const PropertyIndex &amp;index) const</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#ab3a688f6aade423d981f7d401de25659">getPropertyByIndex</a>(int propertyIndex) const</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a1c5fbd22819482c9c25799c4ff3b1b66">getPropertyByName</a>(const std::string &amp;name) const</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a6352c1ef8233ddade512522b983c195d">getPropertyIndex</a>(const std::string &amp;name) const</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a42352f6b9b3bbcab16f90db839b5196a">getPropertyIndex</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#accf9602cb1075775f01243618e8cf57b">getPropertySet</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#ab62051f89f23ece69aa8265c9aabb7ec">getPropertySet</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#ab29889c8cc7234150faf9c65e8502d37">getReferences</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a34f0039fba61c2fef84ba6bf8c07de6d">getRegisteredObjectsOfGivenType</a>(ArrayPtrs&lt; T &gt; &amp;rArray)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a0296f61a06c319786a46d29743135d74">getRegisteredTypenames</a>(Array&lt; std::string &gt; &amp;typeNames)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a533e0a9420d312a73cb9a5d8efd17081">getSerializeAllDefaults</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a7a118a4dbce4593eb71fbc7c5a66abf9">hasProperty</a>(const std::string &amp;name) const</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a11da800c7f37191c3d509b61dcd4cfed">hasProperty</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#aa435db21ddc75dc46161cb0c2d1ef022">isA</a>(const char *type) const</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a23efd5c15fb67f5dcba46f4f381b8908">isEqualTo</a>(const Object &amp;aObject) const</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a9debf9775f9e8c0b517654cb19669518">isKindOf</a>(const char *type)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a77a7df6eb433b4e130ce7aa63b8d3d7e">isObjectTypeDerivedFrom</a>(const std::string &amp;concreteClassName)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#ae117a439778e50c34d4553df12d2e4ae">isObjectUpToDateWithProperties</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#ab7d860a7849ddbb27885673dbf5dbf76">makeObjectFromFile</a>(const std::string &amp;fileName)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a97b815d0f77a212708ad7f44b5daead4">makeObjectNamesConsistentWithProperties</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#afd44aecebc85d2f98ff3adf443e284d0">newInstanceOfType</a>(const std::string &amp;concreteClassName)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a620026774a4b0d36d93ed12a9451b356">Object</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a4378df864673368d7ad3aff393a783e4">Object</a>(const std::string &amp;fileName, bool aUpdateFromXMLNode=true)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">explicit</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a88fad2c70cc33674ede31a20a29610fc">Object</a>(const Object &amp;source)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#af8ecc144d30a872d28ab63d82245da9b">Object</a>(SimTK::Xml::Element &amp;aElement)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">explicit</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#ab75c37552f6feacddf9fc1d9a7c08cbe">OpenSim_DECLARE_ABSTRACT_OBJECT</a></td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#af7bc131913e859c757561270bb3adb86">OpenSim_DECLARE_ABSTRACT_OBJECT_T</a></td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a13075f96c92f1a0f18b791adf0fa255b">OpenSim_DECLARE_CONCRETE_OBJECT</a></td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a04a016239bdc0a855927f706eca78876">OpenSim_DECLARE_CONCRETE_OBJECT_T</a></td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a9f6579e10ac312d2ba5860a5c71be065">operator&lt;</a>(const Object &amp;aObject) const</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a1296dda9711e0e061fd29b88eacae796">operator=</a>(const Object &amp;aObject)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#ac907289709a4b5a40f153851144f14a7">operator==</a>(const Object &amp;aObject) const</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a73c30a096fbdc4e00c01a0cf0e853255">print</a>(const std::string &amp;fileName) const</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a302c40df3290679f524ae642bd29ea41">PrintPropertyInfo</a>(std::ostream &amp;os, const std::string &amp;classNameDotPropertyName, bool printFlagInfo=true)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#aa6fdbac7ab46d14e883a48e2398596a1">PrintPropertyInfo</a>(std::ostream &amp;os, const std::string &amp;className, const std::string &amp;propertyName, bool printFlagInfo=true)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#abd740e38f08939be0c05b622b2a5f61e">readObjectFromXMLNodeOrFile</a>(SimTK::Xml::Element &amp;objectElement, int versionNumber)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#ace1fe7d9f4d7509b5d9e74fbe757b72d">registerType</a>(const Object &amp;defaultObject)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a0a6f962db2c026cce6176ed5017e805c">RegisterType</a>(const Object &amp;defaultObject)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#ad4f89d1f8a5d4b85dba51df9b207183b">renameType</a>(const std::string &amp;oldTypeName, const std::string &amp;newTypeName)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a2b7d3f95ec3dcec17bd5fc17de4b3062">RenameType</a>(const std::string &amp;oldName, const std::string &amp;newName)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a72643bf97b601311912f678bb3770abe">SafeCopy</a>(const Object *aObject)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Solver.html#aa842c31271e5ab6e11919b3e322fa29a">safeDownCast</a>(OpenSim::Object *obj)</td><td class="entry"><a class="el" href="classOpenSim_1_1Solver.html">OpenSim::Solver</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a092550b5528d3d817022c045e4144183">setAllPropertiesUseDefault</a>(bool aUseDefault)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a5543fa91645f86c336d121cf6da60dfd">setAuthors</a>(const std::string &amp;authors)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a46f10ccc4bc8ab3b0b4e68d3ab75f892">setDebugLevel</a>(int newLevel)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a736967772e266744409791c21a94dd80">setDescription</a>(const std::string &amp;description)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#abb6cc3ab175f7fbd32e9bc001d5ba30a">setDocument</a>(XMLDocument *doc)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#ab419ca21895e653bffb4fc5b0ac3afa2">setInlined</a>(bool aInlined, const std::string &amp;aFileName=&quot;&quot;)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a44921f417260a606255a162bfaa74e85">setName</a>(const std::string &amp;name)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a6aff140025aa58def7bad8810a6c4652">setObjectIsUpToDateWithProperties</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a3cf59c40ec8751e01d736db3383cbe50">setReferences</a>(const std::string &amp;references)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#adc42e7d52c371b14898ce7e13e55700c">setSerializeAllDefaults</a>(bool shouldSerializeDefaults)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Solver.html#a5ce0fed13417d569f046468941636d94">Solver</a>(const Model &amp;model)</td><td class="entry"><a class="el" href="classOpenSim_1_1Solver.html">OpenSim::Solver</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#ae20f7560c2ff26f0ba64e3cc81887ce8">toString</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a1d2da63a45b146424737d00c128a8491">updateFromXMLDocument</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a988abda95a67bb454373a89fe38f2af7">updateFromXMLNode</a>(SimTK::Xml::Element &amp;objectElement, int versionNumber)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#ad4ab0f4cb534e1c3ed13d42670ed6ec3">updateXMLNode</a>(SimTK::Xml::Element &amp;parent, const AbstractProperty *prop=nullptr) const</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#afd5324b6c5432c4c37619afc29996136">updDocument</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a351933e7ddc7a7e761e2a8a9cd12728b">updProperty</a>(const PropertyIndex &amp;index)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#ac3f81ef13cb278c49785cbb2236cc2b0">updPropertyByIndex</a>(int propertyIndex)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a62268af4017fc9d547ae718b3cb3733d">updPropertyByName</a>(const std::string &amp;name)</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Object.html#a5dc026c632531b193236dfaa65962d40">~Object</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Solver.html#a0979c4b2c132963bbb0f7de7c67b001d">~Solver</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Solver.html">OpenSim::Solver</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:50 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
